This queue is for tickets about the CPAN CPAN distribution.

Report information
The Basics
Id:
61183
Status:
resolved
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
IKEGAMI [...] cpan.org
Cc:
AdminCc:

BugTracker
Severity:
(no value)
Broken in:
  • 1.9402
  • 1.94_58
Fixed in:
(no value)



In CPAN/Distribution.pm my @prereq = map { $_=>[0] } @good_prereq_tuples; is buggy. It should probably be my @prereq = map { $_->[0] } @good_prereq_tuples; This causes the following problem: ===== BEGIN OUTPUT SNIPPET ===== CPAN: File::Temp loaded ok (v0.22) CPAN: Parse::CPAN::Meta loaded ok (v1.40) CPAN: Module::CoreList loaded ok (v2.38) CPAN.pm: Going to build G/GA/GAAS/libwww-perl-5.836.tar.gz Checking if your kit is complete... Looks good Warning: prerequisite HTML::Parser 3.33 not found. Warning: prerequisite HTML::Tagset 0 not found. Warning: prerequisite URI 1.10 not found. Writing Makefile for LWP
Show quoted text
---- Unsatisfied dependencies detected during ---- ---- GAAS/libwww-perl-5.836.tar.gz ---- URI [requires] HTML::Tagset [requires] HTML::Parser [requires] Ignoring dependencies on modules ARRAY(0xc27fa80), ARRAY(0xc279078), ARRAY(0xc27f9e0), ARRAY(0xc27ed90), ARRAY(0xc27fac0), ARRAY(0xc27eda0) ===== END OUTPUT SNIPPET =====
Thank you very much, your fix is now in the repository!


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.